% Author: Aparna Rajpurkar

function makeBoxplot(countmat, figtitle, ylab, function_names, filename)
    % simple function to make a boxplot
    boxfig=figure('visible', 'off');
    boxplot(countmat,char(function_names));
    set(gca,'XTickLabelRotation',90);
    title(figtitle);
    ylabel(ylab);
    xlabel('Algorithms');
    saveas(boxfig, strcat(filename,'_box.png'));
end
