% Author: Aparna Rajpurkar

function plotBinaryImageOnImg(binimg, realimg, figtitle)
    % simple function to overlay centroids on an image
    fig=figure('visible', 'off');
    imshow(realimg); hold on;
    [coords_x, coords_y] = find(binimg == 1);
    plot(coords_y, coords_x, '*', 'Color', 'r');
    hold off;

    saveas(fig, strcat(figtitle,'.png'));
    imwrite(realimg, strcat(figtitle, '_origimg.png'))
end
