% Author: Aparna Rajpurkar

function binimg = VoteResults(imgs)
    % simple function to calculate the voted result
    vote_perc = 0.50;
    vote_count = round(length(imgs) * vote_perc);
 
    if vote_count == 0
       vote_count = 1; 
    end
    
    binimg = zeros([size(imgs{1})]);
    
    for i=2:length(imgs)
        binimg = binimg + imgs{i};
    end
    
    binimg = binimg >= vote_count;
end
