% Author: Aparna Rajpurkar

function count_result = getCountsFromBinimgs(binimgs)
    % simple function to get the counts of centroids from 
    % a binary image

    count_result = zeros([size(binimgs)]);

    for i=1:size(binimgs,1)
        for j=1:size(binimgs,2)
           count_result(i,j) = length(find(binimgs{i,j} == 1)); 
        end
    end
end
